function [totalmeanbitrate,maxfps] = tracefile_input()
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%% HD Video (BE -Best Effort) %%%%%
cd('Traces');
fid=fopen('video.dat','r');
SDB1=fscanf(fid, '%d %c %d %d', [4 999]);
fclose(fid);

SDB1=SDB1';         %Because we use it row by row
SDB1=SDB1(2:end,:);
size(SDB1);

%%%%% HTTP Browsing and/or File Sharing (CBR) %%%%%
r_min=0.50;
r_max=0.55;
SDB2=abs((r_max-r_min).*rand(999,1) + r_min);
SDB2=SDB2(2:end,:);

%%%%% VoIP conference (VBR) %%%%%
[y, ~]=audioread('audio.wav');
SDB3=abs(y(2:999));

meanbitrate1=zeros(size(SDB1,1),1);
for index=1:1:length(SDB1)
    meanbitrate1(index,1)=(sum(SDB1(1:index,4))*8)/(SDB1(index,3)*(10^(-3)));
end;

meanbitrate2 = SDB2;
meanbitrate3 = SDB3;

totalmeanbitrate=[meanbitrate1,meanbitrate2,meanbitrate3];
maxfps1=max(meanbitrate1);
maxfps2=max(meanbitrate2);
maxfps3=max(meanbitrate3);
maxfps=[maxfps1,maxfps2,maxfps3];

cd ../
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
end

